from scripts.utils.mongo_util import MongoCollectionBaseClass


class StudentCollection(MongoCollectionBaseClass):

    def __init__(self, mongo_client):
        super().__init__(mongo_client=mongo_client, database="interns_b2_23", collection="student")

    def insert_stud(self, data):
        self.insert_one(data)

    def list_stud(self, data):
        self.find_one(data)

    def delete_stud(self, data):
        self.delete_one(data)

    def update_stud(self, query, data):
        self.update_one(query, data)
